package schedframe.scheduling.manager.tasks;


import java.util.List;

import dcworms.schedframe.scheduling.ExecTask;

import schedframe.ExecutablesList;
import schedframe.scheduling.tasks.JobInterface;
import schedframe.scheduling.tasks.TaskInterface;


public interface JobRegistry {

	public JobInterface<?> getJobInfo(String jobId);
	
	public List<JobInterface<?>> getJobs();
	
	public List<JobInterface<?>> getJobs(int status);
	

	public TaskInterface<?> getTaskInfo(String jobId, String taskId);
	
	public ExecutablesList getTasks(); 
	
	public ExecTask getTask(String jobId, String taskId);

	
	public List<ExecTask> getTasks(int status) ;

	public List<ExecTask> getQueuedTasks() ;
	
	public List<ExecTask> getRunningTasks() ;
	
	public List<ExecTask> getReadyTasks() ;
	
	public List<ExecTask> getFinishedTasks();

	
	public List<? extends TaskInterface<?>> getAvailableTasks(List<JobInterface<?>> jobsList);

}
